ARDEN-CREATE(1)

NAME
arden-create - generate an artificial reference genome (AR) from a given input

SYNOPSIS
arden-create [options] [OUTPUTFOLDER] [INPUT FASTA]...

DESCRIPTION
Script to generate an artificial reference genome (AR) from a given input. The AR fulfills the following conditions by default settings:

    has a nucleotide distribution equal to the input genome

    has an amino acid (aa) distribution equal to the input genome

    keeps the aa neighborhood similar to the neighborhood in input genome

    protects start and stop codons from mutations

OPTIONS

Required Arguments:

OUTPUTFOLDER
    complete path to output destination folder

INPUT FASTA
    Single sequence Fasta file.

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-d DISTANCE, --distance=DISTANCE
    distance between 2 mutations on DNA level. The minimum distance will then be d-3. [default: 15]

-o ORF, --orf=ORF
    1- protect ORF structure from mutations. 0 - allow mutations in start / stop codon [default: 1]

-r REVSUB, --revsub=REVSUB
    1 - reverse substitution if no suitable counterpart was found (balanced mutation). 0 - keep the unbalanced mutations.[default: 1]

-m RANDOM, --random=RANDOM
    1/0 variable. 1 - shuffled starting positions for the

    mutations. 0 - linear mutation [default: 1]

-s SORF, --saveorfs=SORF
    Save found start and stop codons in a pickle file (can be loaded if the input fasta is used again if a filename is specified). [default: ]

-l LORF, --loadorfs=LORF
    Specify filename to a previously created pickle file (contains positions of start/stop codons) [default: ]

-n NAME, --name=NAME
    Specify name which will be used as header. [default: ]

-p PEXAMPLES, --pexamples=PEXAMPLES
    set to 1 if you want to print examples